# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.1].define(version: 2023_10_31_200646) do
  create_table "definitions", force: :cascade do |t|
    t.string "pos"
    t.string "definition"
    t.integer "word_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "language_id", null: false
    t.index ["language_id"], name: "index_definitions_on_language_id"
    t.index ["word_id"], name: "index_definitions_on_word_id"
  end

  create_table "language", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "languages", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "part_of_speeches", force: :cascade do |t|
    t.string "pos"
    t.string "definition"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "language_id", null: false
    t.integer "user_id"
    t.integer "part_of_speech_id"
    t.index ["language_id"], name: "index_part_of_speeches_on_language_id"
    t.index ["part_of_speech_id"], name: "index_part_of_speeches_on_part_of_speech_id"
    t.index ["user_id"], name: "index_part_of_speeches_on_user_id"
  end

  create_table "users", force: :cascade do |t|
    t.string "username", default: "", null: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true
    t.index ["username"], name: "index_users_on_username", unique: true
  end

  create_table "words", force: :cascade do |t|
    t.string "word"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  add_foreign_key "definitions", "languages"
  add_foreign_key "definitions", "words"
  add_foreign_key "part_of_speeches", "languages"
  add_foreign_key "part_of_speeches", "part_of_speeches"
  add_foreign_key "part_of_speeches", "users"
end
